> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Import workspace design markdown



## OpenAPI

````yaml /openapi.json post /api/v1/workspaces/{workspace}/profile/design/import
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/profile/design/import:
    post:
      summary: Import workspace design markdown
      operationId: importWorkspaceDesign
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DesignImport'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceSettingsMutation'
      security:
        - cookieAuth: []
        - bearerAuth:
            - settings:write
components:
  schemas:
    DesignImport:
      type: object
      properties:
        source:
          type: string
          maxLength: 50000
      required:
        - source
      additionalProperties: false
    WorkspaceSettingsMutation:
      anyOf:
        - type: object
          properties:
            ok:
              type: boolean
              enum:
                - true
            updatedAt:
              type: string
            brandColors:
              type: object
              properties:
                primary:
                  type: string
                  pattern: ^#[0-9a-f]{6}$
                secondary: 1a66cf73-9e91-48ab-8e56-33a82bbac914
                accent: 05aa4fdb-63be-4dd9-9deb-62728dda36e0
                background: 24e8c49e-6473-4365-a396-2b29de2c3b07
                text: 75bb9650-07ca-4518-a411-26bb5e1718c3
              required:
                - primary
                - secondary
                - accent
                - background
                - text
              additionalProperties: false
            brandMeta:
              type: object
              properties:
                faviconUrl:
                  anyOf:
                    - type: string
                      enum:
                        - ''
                    - type: string
                      format: uri
                      maxLength: 500
                logoUrl: fa4d2f96-93ed-4093-98b8-ca5cd10d99d2
                fontNames:
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 100
                  maxItems: 12
              additionalProperties: false
            about:
              type: string
            extractionRan:
              type: boolean
              enum:
                - true
            designMd:
              type: string
          required:
            - ok
            - extractionRan
            - designMd
          additionalProperties: false
        - type: object
          properties:
            ok: e103d3e0-afa8-4a72-af05-931995cd4eed
            updatedAt: 6533fcbd-ab44-4bd9-b3cf-0a0871a58fdb
            brandColors: 74bde932-e64d-450c-92e3-7eaea393f086
            brandMeta: 75b62866-6830-4347-beb7-8851e0ef0271
            about: 272aed66-7e86-435a-9997-d17d8edb1fcb
            extractionRan:
              type: boolean
              enum:
                - false
            designMd:
              type: string
          required:
            - ok
            - extractionRan
          additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````